Skip to main content
Astra Automation
本产品推出了新版本。
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

检索订阅

GET /accounts/{account_id}/core/v1/subscriptions/{subscription_id}

返回 JSON 响应正文中存储的 Subscription API 资源。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

subscription_id

string

path

True

要列出的订阅集合的 ID

响应

Status: 200, Returns the stored Subscription API resource in the JSON response body.
名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-subscription"

version

string

True

资源的版本。定义的值为:

  • "1.0"

  • "1.1"

  • "1.2"

id

string

True

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

customerProfileID

string

True

未为试用期设置包含来自 "Authorize.net"的客户配置文件 ID 的 JSON 字符串,该字符串由 UI 调用。如果未设置,则在读取操作期间返回空字符串。定义的值为:

  • 最小长度:0

  • 最大长度:63

paymentProfileID

string

False

包含由用户界面调用的付款账户 ID "Authorize.net" 的 JSON 字符串,未设置为试用期。如果未设置,则在读取操作期间返回空字符串。定义的值为:

  • 最小长度:0

  • 最大长度:63

paymentExpiry

string

False

JSON 字符串,包含指示付款方式何时过期的时间戳。这是从 authorize.net](http://authorize.net) 获得的,由 UI 设置。定义的值为:

  • 符合 ISO-8601 日期时间架构。此字段不会为试用条款返回。

purchaseOrderNumber

string

False

包含付款方式的采购订单编号的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:31

市场

string

False

JSON 字符串,表示将记录付款的账户的市场。定义值:

  • "netapp"

  • "azure"

  • "aws"

  • "gcp"

licenseSN

string

False

包含付款方式的许可证序列号的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:31

条款

string

True

表示帐户当前层的 JSON 字符串。定义的值为:

  • "试用"

  • "付费"

状态

string

True

表示订阅当前状态的 JSON 字符串。定义的值为:

  • "活动"

  • "非活动"

appLimit

数字

True

表示此订阅的应用程序限制的 JSON 编号。值 -1 表示无限制。

namespaceLimit

数字

True

表示此订阅的命名空间限制的 JSON 编号。值 -1 表示无限制。

subscriptionPeriod

数字

True

表示订阅期限的 JSON 数字。值 -1 表示无限制。单位:天

gracePeriod

数字

True

JSON 数字,表示试用订阅过期或付费订阅被取消后的宽限期。单位:天

reminderBeforePeriod

数字

True

JSON 数字,表示在试用订阅结束之前客户通知将开始的天数。该值以天表示,值为 -1 表示不适用。

onboardStatus

string

True

JSON 字符串,指示客户入职的当前状态。有效值为 "not started"、"in progress"、"success"、"failed"。定义的值为:

  • "未启动"

  • "正在进行中"

  • "成功"

  • "失败"

costPerAppUnit

数字

True

表示每个应用单位成本的 JSON 数字。对于试用版,值为 0。单位:美元

costPerNamespaceUnit

数字

True

表示每个命名空间单位成本的 JSON 数字。对于试用版,值为 0。单位:美元

元数据

"type_astra_metadata_update"

True

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

响应示例
{
  "type": "application/astra-subscription",
  "version": "1.2",
  "id": "40b4106f-b743-5d83-95c7-d539b2b45f63",
  "customerProfileID": "2157047189",
  "paymentProfileID": "E7CEB0A9F1BECA32A02493E1B31D5955",
  "paymentExpiry": "2022-02-01T00:00:00Z",
  "purchaseOrderNumber": "72384632",
  "marketplace": "netapp",
  "licenseSN": "278343",
  "terms": "trial",
  "status": "active",
  "onboardStatus": "success",
  "costPerAppUnit": 0,
  "costPerNamespaceUnit": 0.005,
  "appLimit": 0,
  "namespaceLimit": 10,
  "subscriptionPeriod": 90,
  "gracePeriod": 7,
  "reminderBeforePeriod": 30,
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidParams

数组["invalidParams"]

False

无效查询参数列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata_update

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

名称 Type Required Description

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因